@echo off
echo ---------------------------
echo Start of deployment script.
echo ---------------------------

:: -------------------------------------------------------------------
:: Don't proceed if the input parameter is incorrect.
:: This is tested by checking if the webcontent\skins directory exists.
:: -------------------------------------------------------------------
if not exist %1\webcontent\skins goto :error_wrong_parm

:: -------------------------------------------------------------------
:: If they are not already backed up, backup the existing branding files 
:: for the Corporate style.
:: -------------------------------------------------------------------
if not exist %1\webapps\p2p\WEB-INF\css\skins\corporate.xml.old (call :backup_and_deploy %1) else (echo Traceability Server files are already deployed.) 

echo -------------------------
echo End of deployment script.
echo -------------------------

goto :eof

:: -------------------------------------------------------------------
:: Labels
:: -------------------------------------------------------------------

:backup_and_deploy
  echo Backing up original files ...
  copy %1\webcontent\skins\corporate\shared\banner.css               %1\webcontent\skins\corporate\shared\banner.css.old
  copy %1\webcontent\skins\corporate\viewer\CRN.css                  %1\webcontent\skins\corporate\viewer\CRN.css.old
  copy %1\webcontent\skins\corporate\qs\CRN.css                      %1\webcontent\skins\corporate\qs\CRN.css.old
  copy %1\webcontent\skins\corporate\ags\crn.css                     %1\webcontent\skins\corporate\ags\crn.css.old
  copy %1\webcontent\skins\corporate\ans\background.css              %1\webcontent\skins\corporate\ans\background.css.old
  copy %1\webcontent\skins\corporate\hal\hal_skin_corporate.css      %1\webcontent\skins\corporate\hal\hal_skin_corporate.css.old
  copy %1\webcontent\skins\corporate\portal\default.css              %1\webcontent\skins\corporate\portal\default.css.old
  copy %1\webapps\p2p\WEB-INF\css\skins\corporate.xml                %1\webapps\p2p\WEB-INF\css\skins\corporate.xml.old
  
  echo Creating directory for Tracebaility Server image files ...
  if not exist %1\webcontent\skins\corporate\branding_ts\ (mkdir %1\webcontent\skins\corporate\branding_ts) else (echo Directory already exists)
   
  echo Deploying Traceability Server files ...
  copy ..\new_files\webcontent\skins\corporate\branding_ts\its_prodname_swoosh_menu.bmp %1\webcontent\skins\corporate\branding_ts\
  copy ..\new_files\webcontent\skins\corporate\branding_ts\its_prodname_swoosh.bmp      %1\webcontent\skins\corporate\branding_ts\
  copy ..\new_files\webcontent\skins\corporate\branding_ts\welcome_qt_background.bmp    %1\webcontent\skins\corporate\branding_ts\
  copy ..\new_files\webcontent\skins\corporate\shared\banner.css                        %1\webcontent\skins\corporate\shared\
  copy ..\new_files\webcontent\skins\corporate\viewer\CRN.css                           %1\webcontent\skins\corporate\viewer\
  copy ..\new_files\webcontent\skins\corporate\qs\CRN.css                               %1\webcontent\skins\corporate\qs\
  copy ..\new_files\webcontent\skins\corporate\ags\crn.css                              %1\webcontent\skins\corporate\ags\
  copy ..\new_files\webcontent\skins\corporate\ans\background.css                       %1\webcontent\skins\corporate\ans\
  copy ..\new_files\webcontent\skins\corporate\hal\hal_skin_corporate.css               %1\webcontent\skins\corporate\hal\
  copy ..\new_files\webcontent\skins\corporate\portal\default.css                       %1\webcontent\skins\corporate\portal\
  copy ..\new_files\webapps\p2p\WEB-INF\css\skins\corporate.xml                         %1\webapps\p2p\WEB-INF\css\skins\
  goto :eof
  
:error_wrong_parm
  echo Incorrect Cognos 10 BI Connection Server installation directory provided. 
  echo Specify the directory where Cognos 10 BI Connection Server is installed. 
  echo Usage:
  echo   deploy_ts_files.cmd [Cognos 10 BI Connection Server installation directory]
  echo   Example: deploy_ts_files.cmd "C:\Program Files\IBM\cognos\c10"
  echo   Put double quotes around paths containing spaces.
  echo -------------------------
  echo End of deployment script.
  echo -------------------------
  goto :eof