@echo off
echo -----------------------------
echo Start of undeployment script.
echo -----------------------------

:: -------------------------------------------------------------------
:: Don't proceed if the input parameter is incorrect.
:: This is tested by checking if the webcontent\skins directory exists.
:: -------------------------------------------------------------------
if not exist %1\webcontent\skins goto :error_wrong_parm

:: -------------------------------------------------------------------
:: If Traceability Server files have been deployed restore the 
:: original files.
:: -------------------------------------------------------------------
if exist %1\webapps\p2p\WEB-INF\css\skins\corporate.xml.old (call :restore_original_files %1) else (echo Traceability Server files are not deployed)

echo ---------------------------
echo End of undeployment script.
echo ---------------------------

goto :eof

:: -------------------------------------------------------------------
:: Labels
:: -------------------------------------------------------------------

:restore_original_files
  echo Restoring original files ...
  copy %1\webcontent\skins\corporate\shared\banner.css.old              %1\webcontent\skins\corporate\shared\banner.css
  copy %1\webcontent\skins\corporate\viewer\CRN.css.old                 %1\webcontent\skins\corporate\viewer\CRN.css
  copy %1\webcontent\skins\corporate\qs\CRN.css.old                     %1\webcontent\skins\corporate\qs\CRN.css
  copy %1\webcontent\skins\corporate\ags\crn.css.old                    %1\webcontent\skins\corporate\ags\crn.css
  copy %1\webcontent\skins\corporate\ans\background.css.old             %1\webcontent\skins\corporate\ans\background.css
  copy %1\webcontent\skins\corporate\hal\hal_skin_corporate.css.old     %1\webcontent\skins\corporate\hal\hal_skin_corporate.css
  copy %1\webcontent\skins\corporate\portal\default.css.old             %1\webcontent\skins\corporate\portal\default.css
  copy %1\webapps\p2p\WEB-INF\css\skins\corporate.xml.old               %1\webapps\p2p\WEB-INF\css\skins\corporate.xml
  
  echo Removing Traceability Server files ...
  erase %1\webcontent\skins\corporate\branding_ts\its_prodname_swoosh_menu.bmp 
  erase %1\webcontent\skins\corporate\branding_ts\its_prodname_swoosh.bmp
  erase %1\webcontent\skins\corporate\branding_ts\welcome_qt_background.bmp
  erase %1\webcontent\skins\corporate\shared\banner.css.old
  erase %1\webcontent\skins\corporate\viewer\CRN.css.old
  erase %1\webcontent\skins\corporate\qs\CRN.css.old
  erase %1\webcontent\skins\corporate\ags\crn.css.old
  erase %1\webcontent\skins\corporate\ans\background.css.old
  erase %1\webcontent\skins\corporate\hal\hal_skin_corporate.css.old
  erase %1\webcontent\skins\corporate\portal\default.css.old
  erase %1\webapps\p2p\WEB-INF\css\skins\corporate.xml.old
  
  echo Removing directory for Tracebaility Server image files ...
  rmdir %1\webcontent\skins\corporate\branding_ts
  if not exist %1\webcontent\skins\corporate\branding_ts\ echo Directory removed successfully.
  goto :eof
  
:error_wrong_parm
  echo Incorrect Cognos 10 BI Connection Server installation directory provided. 
  echo Specify the directory where Cognos 10 BI Connection Server is installed. 
  echo Usage:
  echo   undeploy_ts_files.cmd [Cognos 10 BI Connection Server installation directory]
  echo   Example: undeploy_ts_files.cmd "C:\Program Files\IBM\cognos\c10"
  echo   Put double quotes around paths containing spaces.
  echo ---------------------------
  echo End of undeployment script.
  echo ---------------------------
  goto :eof