#!/bin/sh
#
# Undeployment script for Traceability Server files to rebrand Cognos installation  
#
# -------------------------------------------------------------------
# Functions
# -------------------------------------------------------------------

function restore_original_files()
{
  echo Restoring original files ...
  cp $1/webcontent/skins/corporate/shared/banner.css.old              $1/webcontent/skins/corporate/shared/banner.css
  cp $1/webcontent/skins/corporate/viewer/CRN.css.old                 $1/webcontent/skins/corporate/viewer/CRN.css
  cp $1/webcontent/skins/corporate/qs/CRN.css.old                     $1/webcontent/skins/corporate/qs/CRN.css
  cp $1/webcontent/skins/corporate/ags/crn.css.old                    $1/webcontent/skins/corporate/ags/crn.css
  cp $1/webcontent/skins/corporate/ans/background.css.old             $1/webcontent/skins/corporate/ans/background.css
  cp $1/webcontent/skins/corporate/hal/hal_skin_corporate.css.old     $1/webcontent/skins/corporate/hal/hal_skin_corporate.css
  cp $1/webcontent/skins/corporate/portal/default.css.old             $1/webcontent/skins/corporate/portal/default.css
  cp $1/webapps/p2p/WEB-INF/css/skins/corporate.xml.old               $1/webapps/p2p/WEB-INF/css/skins/corporate.xml
  
  echo Removing unneeded files ...
  rm -f $1/webcontent/skins/corporate/branding_ts/its_prodname_swoosh_menu.bmp 
  rm -f $1/webcontent/skins/corporate/branding_ts/its_prodname_swoosh.bmp
  rm -f $1/webcontent/skins/corporate/branding_ts/welcome_qt_background.bmp
  rm -f $1/webcontent/skins/corporate/shared/banner.css.old
  rm -f $1/webcontent/skins/corporate/viewer/CRN.css.old
  rm -f $1/webcontent/skins/corporate/qs/CRN.css.old
  rm -f $1/webcontent/skins/corporate/ags/crn.css.old
  rm -f $1/webcontent/skins/corporate/ans/background.css.old
  rm -f $1/webcontent/skins/corporate/hal/hal_skin_corporate.css.old
  rm -f $1/webcontent/skins/corporate/portal/default.css.old
  rm -f $1/webapps/p2p/WEB-INF/css/skins/corporate.xml.old
  
  echo Removing directory for Tracebaility Server image files ...
  rmdir $1/webcontent/skins/corporate/branding_ts
  
  if ! [ -d "$1/webcontent/skins/corporate/branding_ts/" ]; then
    echo Directory removed successfully.
  fi
}

  
function error_wrong_parm()
{
  echo Incorrect Cognos 10 BI Connection Server installation directory provided. 
  echo Specify the directory where Cognos 10 BI Connection Server is installed. 
  echo Usage:
  echo "   undeploy_ts_files.sh [Cognos 10 BI Connection Server installation directory]"
  echo "   Example: undeploy_ts_files.sh /opt/cognos/c10"
}
  
# -------------------------------------------------------------------
# Start script.
# -------------------------------------------------------------------
  
echo -----------------------------
echo Start of undeployment script.
echo -----------------------------

# -------------------------------------------------------------------
# Don't proceed if the input parameter is incorrect.
# This is tested by checking if the webcontent/skins directory exists.
# -------------------------------------------------------------------
if ! [ -d "$1/webcontent/skins" ]; then 
  error_wrong_parm
  
else
  # -------------------------------------------------------------------
  # If Traceability Server files have been deployed restore the 
  # original files and remove any uneeded files.
  # -------------------------------------------------------------------
  if [ -f "$1/webapps/p2p/WEB-INF/css/skins/corporate.xml.old" ]; then
    restore_original_files $1

  else
    echo Traceability Server files are not deployed
  fi
fi

echo ---------------------------
echo End of undeployment script.
echo ---------------------------
  