-----------------------------------------------------------------------------
--
-- SCRIPTS FOR SETTING BUSINESS DAYS (WORK WEEK)
-- RCM DATA MART
--
--
-- The RCMSCHEMA.DATE_DIM table contains date dimension data for a date
-- range starting at Jan 1, 2007 and ending Dec 31, 2020
--
-- The default work week is Monday through Friday.
--
-----------------------------------------------------------------------------


-----------------------------------------------------------------------------
-- This sample script sets a 7-day workweek starting from January, 1, 2007
-- Use this script with the sample data shipped with RCM
-- The values for week_day_nbr column are
--      1=Sun, 2=Mon, 3=Tue, 4=Wed, 5=Thu, 6=Fri, 7=Sat
-----------------------------------------------------------------------------

update rcmschema.date_dim
   set business_day = (case when week_day_nbr in (1,2,3,4,5,6,7) then 1 else 0 end)
   where date_id >= (select date_id from rcmschema.date_dim
                      where year_nbr  = 2007
                        and month_nbr = 1
                        and day_nbr   = 1);


