-- This script will update the target tables with sample
-- target values for some of the sample locations and products
-- It will not impact non-sample locations and product entries

--
-- RCMSCHEMA.TARGET_BUSINESS
--

UPDATE RCMSCHEMA.TARGET_BUSINESS SET 
	TARGET_DAILY_INVENTORY = 100, 
	DAILY_INV_LO_THRES_PERC = 70, 
	DAILY_INV_HI_THRES_PERC = 142,
	TARGET_DAYS_IN_INVENTORY = 10,
	DAYS_IN_INV_HI_THRES_PERC = 140,
	TARGET_AL_CYCLE_TIME = 13,
	AL_CYCLE_TIME_LO_THRES_PERC = 80,
	AL_CYCLE_TIME_HI_THRES_PERC = 270,
	AL_CYCLE_TIME_LO_RATIO = 0.1,
	AL_CYCLE_TIME_HI_RATIO = 0.1,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = 7,
	DWELL_TIME_LO_THRES_PERC = 70,
	DWELL_TIME_HI_THRES_PERC = 420,
	DWELL_TIME_LO_RATIO = 0.1,
	DWELL_TIME_HI_RATIO = 0.2
WHERE COMPANY = 'Premium Manufacturing';

UPDATE RCMSCHEMA.TARGET_BUSINESS SET 
	TARGET_DAILY_INVENTORY = 28, 
	DAILY_INV_LO_THRES_PERC = 95, 
	DAILY_INV_HI_THRES_PERC = 205,
	TARGET_DAYS_IN_INVENTORY = 8,
	DAYS_IN_INV_HI_THRES_PERC = 140,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = 10,
	BP_CYCLE_TIME_LO_THRES_PERC = 80,
	BP_CYCLE_TIME_HI_THRES_PERC = 320,
	BP_CYCLE_TIME_LO_RATIO = 0.2,
	BP_CYCLE_TIME_HI_RATIO = 0.2,
	TARGET_DWELL_TIME = 6,
	DWELL_TIME_LO_THRES_PERC = 65,
	DWELL_TIME_HI_THRES_PERC = 470,
	DWELL_TIME_LO_RATIO = 0.2,
	DWELL_TIME_HI_RATIO = 0.3
WHERE COMPANY = 'Eagle Custom Components';

UPDATE RCMSCHEMA.TARGET_BUSINESS SET 
	TARGET_DAILY_INVENTORY = 14, 
	DAILY_INV_LO_THRES_PERC = 95, 
	DAILY_INV_HI_THRES_PERC = 205,
	TARGET_DAYS_IN_INVENTORY = 8,
	DAYS_IN_INV_HI_THRES_PERC =140,
	TARGET_AL_CYCLE_TIME = NULL, 
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = 10,
	BP_CYCLE_TIME_LO_THRES_PERC = 80, 
	BP_CYCLE_TIME_HI_THRES_PERC = 320,
	BP_CYCLE_TIME_LO_RATIO = 0.2,
	BP_CYCLE_TIME_HI_RATIO = 0.2,
	TARGET_DWELL_TIME = 6,
	DWELL_TIME_LO_THRES_PERC = 65, 
	DWELL_TIME_HI_THRES_PERC = 470,
	DWELL_TIME_LO_RATIO = 0.2,
	DWELL_TIME_HI_RATIO = 0.3
WHERE COMPANY = 'XYZ Specialized Parts';
commit work;

--
-- RCMSCHEMA.TARGET_BUSINESS_LOCATION
--

UPDATE RCMSCHEMA.TARGET_BUSINESS_LOCATION SET
	TARGET_DAILY_INVENTORY = 21,
	DAILY_INV_LO_THRES_PERC = NULL, 
	DAILY_INV_HI_THRES_PERC = NULL,
	TARGET_DAYS_IN_INVENTORY = NULL,
	DAYS_IN_INV_HI_THRES_PERC = NULL,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = NULL,
	DWELL_TIME_LO_THRES_PERC = NULL, 
	DWELL_TIME_HI_THRES_PERC = NULL,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE COMPANY = 'XYZ Specialized Parts' AND NAME = 'XYZ Specialized Parts Distribution Center 2';

UPDATE RCMSCHEMA.TARGET_BUSINESS_LOCATION SET
	TARGET_DAILY_INVENTORY = 42,
	DAILY_INV_LO_THRES_PERC = NULL, 
	DAILY_INV_HI_THRES_PERC = NULL,
	TARGET_DAYS_IN_INVENTORY = NULL,
	DAYS_IN_INV_HI_THRES_PERC = NULL,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = NULL,
	DWELL_TIME_LO_THRES_PERC = NULL, 
	DWELL_TIME_HI_THRES_PERC = NULL,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE COMPANY = 'Eagle Custom Components' AND NAME = 'Eagle Custom Components Distribution Center 2';

UPDATE RCMSCHEMA.TARGET_BUSINESS_LOCATION SET
	TARGET_DAILY_INVENTORY = 25,
	DAILY_INV_LO_THRES_PERC = 0,
	DAILY_INV_HI_THRES_PERC = 110,
	TARGET_DAYS_IN_INVENTORY = 3,
	DAYS_IN_INV_HI_THRES_PERC = 200,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = 1,
	DWELL_TIME_LO_THRES_PERC = 100,
	DWELL_TIME_HI_THRES_PERC = 200,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE COMPANY = 'Premium Manufacturing' AND NAME = 'Manufacturing Plant 1';

UPDATE RCMSCHEMA.TARGET_BUSINESS_LOCATION SET
	TARGET_DAILY_INVENTORY = 25,
	DAILY_INV_LO_THRES_PERC = 0,
	DAILY_INV_HI_THRES_PERC = 110,
	TARGET_DAYS_IN_INVENTORY = 3,
	DAYS_IN_INV_HI_THRES_PERC = 200,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = 1,
	DWELL_TIME_LO_THRES_PERC = 100,
	DWELL_TIME_HI_THRES_PERC = 200,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE COMPANY = 'Premium Manufacturing' AND NAME = 'Manufacturing Plant 2';

UPDATE RCMSCHEMA.TARGET_BUSINESS_LOCATION SET
	TARGET_DAILY_INVENTORY = 20,
	DAILY_INV_LO_THRES_PERC = 0,
	DAILY_INV_HI_THRES_PERC = 110,
	TARGET_DAYS_IN_INVENTORY = 3,
	DAYS_IN_INV_HI_THRES_PERC = 200,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = 1,
	DWELL_TIME_LO_THRES_PERC = 100,
	DWELL_TIME_HI_THRES_PERC = 200,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE COMPANY = 'Premium Manufacturing' AND NAME = 'Manufacturing Plant 3';

--
-- RCMSCHEMA.TARGET_BUS_LOCATION_PROD
--

UPDATE RCMSCHEMA.TARGET_BUS_LOCATION_PROD SET
	TARGET_DAILY_INVENTORY = 50,
	DAILY_INV_LO_THRES_PERC = NULL,
	DAILY_INV_HI_THRES_PERC = NULL,
	TARGET_DAYS_IN_INVENTORY = NULL,
	DAYS_IN_INV_HI_THRES_PERC = NULL,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = NULL,
	DWELL_TIME_LO_THRES_PERC = NULL,
	DWELL_TIME_HI_THRES_PERC = NULL,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE NAME = 'Storage Warehouse 1' AND ASSET_NAME = 'J3';

UPDATE RCMSCHEMA.TARGET_BUS_LOCATION_PROD SET
	TARGET_DAILY_INVENTORY = 79,
	DAILY_INV_LO_THRES_PERC = NULL,
	DAILY_INV_HI_THRES_PERC = NULL,
	TARGET_DAYS_IN_INVENTORY = NULL,
	DAYS_IN_INV_HI_THRES_PERC = NULL,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = NULL,
	DWELL_TIME_LO_THRES_PERC = NULL,
	DWELL_TIME_HI_THRES_PERC = NULL,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE NAME = 'Storage Warehouse 1' AND ASSET_NAME = 'J5';

UPDATE RCMSCHEMA.TARGET_BUS_LOCATION_PROD SET
	TARGET_DAILY_INVENTORY = 22,
	DAILY_INV_LO_THRES_PERC = NULL,
	DAILY_INV_HI_THRES_PERC = NULL,
	TARGET_DAYS_IN_INVENTORY = NULL,
	DAYS_IN_INV_HI_THRES_PERC = NULL,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = NULL,
	DWELL_TIME_LO_THRES_PERC = NULL,
	DWELL_TIME_HI_THRES_PERC = NULL,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE NAME = 'XYZ Specialized Parts Distribution Center 1' AND ASSET_NAME = 'J5';

UPDATE RCMSCHEMA.TARGET_BUS_LOCATION_PROD SET
	TARGET_DAILY_INVENTORY = 33,
	DAILY_INV_LO_THRES_PERC = NULL,
	DAILY_INV_HI_THRES_PERC = NULL,
	TARGET_DAYS_IN_INVENTORY = NULL,
	DAYS_IN_INV_HI_THRES_PERC = NULL,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = NULL,
	DWELL_TIME_LO_THRES_PERC = NULL,
	DWELL_TIME_HI_THRES_PERC = NULL,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE NAME = 'XYZ Specialized Parts Distribution Center 2' AND ASSET_NAME = 'J5';

UPDATE RCMSCHEMA.TARGET_BUS_LOCATION_PROD SET
	TARGET_DAILY_INVENTORY = 13,
	DAILY_INV_LO_THRES_PERC = NULL,
	DAILY_INV_HI_THRES_PERC = NULL,
	TARGET_DAYS_IN_INVENTORY = NULL,
	DAYS_IN_INV_HI_THRES_PERC = NULL,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = NULL,
	DWELL_TIME_LO_THRES_PERC = NULL,
	DWELL_TIME_HI_THRES_PERC = NULL,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE NAME = 'Manufacturing Plant 1' AND ASSET_NAME = 'J3';

UPDATE RCMSCHEMA.TARGET_BUS_LOCATION_PROD SET
	TARGET_DAILY_INVENTORY = 13,
	DAILY_INV_LO_THRES_PERC = NULL,
	DAILY_INV_HI_THRES_PERC = NULL,
	TARGET_DAYS_IN_INVENTORY = NULL,
	DAYS_IN_INV_HI_THRES_PERC = NULL,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = NULL,
	DWELL_TIME_LO_THRES_PERC = NULL,
	DWELL_TIME_HI_THRES_PERC = NULL,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE NAME = 'Manufacturing Plant 2' AND ASSET_NAME = 'J3';

UPDATE RCMSCHEMA.TARGET_BUS_LOCATION_PROD SET
	TARGET_DAILY_INVENTORY = 10,
	DAILY_INV_LO_THRES_PERC = NULL,
	DAILY_INV_HI_THRES_PERC = NULL,
	TARGET_DAYS_IN_INVENTORY = NULL,
	DAYS_IN_INV_HI_THRES_PERC = NULL,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = NULL,
	DWELL_TIME_LO_THRES_PERC = NULL,
	DWELL_TIME_HI_THRES_PERC = NULL,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE NAME = 'Manufacturing Plant 3' AND ASSET_NAME = 'J3';

UPDATE RCMSCHEMA.TARGET_BUS_LOCATION_PROD SET
	TARGET_DAILY_INVENTORY = 20,
	DAILY_INV_LO_THRES_PERC = NULL,
	DAILY_INV_HI_THRES_PERC = NULL,
	TARGET_DAYS_IN_INVENTORY = NULL,
	DAYS_IN_INV_HI_THRES_PERC = NULL,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = NULL,
	DWELL_TIME_LO_THRES_PERC = NULL,
	DWELL_TIME_HI_THRES_PERC = NULL,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE NAME = 'Manufacturing Plant 1' AND ASSET_NAME = 'J5';

UPDATE RCMSCHEMA.TARGET_BUS_LOCATION_PROD SET
	TARGET_DAILY_INVENTORY = 20,
	DAILY_INV_LO_THRES_PERC = NULL,
	DAILY_INV_HI_THRES_PERC = NULL,
	TARGET_DAYS_IN_INVENTORY = NULL,
	DAYS_IN_INV_HI_THRES_PERC = NULL,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = NULL,
	DWELL_TIME_LO_THRES_PERC = NULL,
	DWELL_TIME_HI_THRES_PERC = NULL,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE NAME = 'Manufacturing Plant 2' AND ASSET_NAME = 'J5';

UPDATE RCMSCHEMA.TARGET_BUS_LOCATION_PROD SET
	TARGET_DAILY_INVENTORY = 15,
	DAILY_INV_LO_THRES_PERC = NULL,
	DAILY_INV_HI_THRES_PERC = NULL,
	TARGET_DAYS_IN_INVENTORY = NULL,
	DAYS_IN_INV_HI_THRES_PERC = NULL,
	TARGET_AL_CYCLE_TIME = NULL,
	AL_CYCLE_TIME_LO_THRES_PERC = NULL,
	AL_CYCLE_TIME_HI_THRES_PERC = NULL,
	AL_CYCLE_TIME_LO_RATIO = NULL,
	AL_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_BP_CYCLE_TIME = NULL,
	BP_CYCLE_TIME_LO_THRES_PERC = NULL,
	BP_CYCLE_TIME_HI_THRES_PERC = NULL,
	BP_CYCLE_TIME_LO_RATIO = NULL,
	BP_CYCLE_TIME_HI_RATIO = NULL,
	TARGET_DWELL_TIME = NULL,
	DWELL_TIME_LO_THRES_PERC = NULL,
	DWELL_TIME_HI_THRES_PERC = NULL,
	DWELL_TIME_LO_RATIO = NULL,
	DWELL_TIME_HI_RATIO = NULL
WHERE NAME = 'Manufacturing Plant 3' AND ASSET_NAME = 'J5';

commit work;

