-- Table definition file for IBM RCM Data Mart
-- Database Name: RCMDB          
-- Database Type: DB2
-- Database Codepage: 1208



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."TARGET_BUSINESS"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."TARGET_BUSINESS"  (
		  "LOCATION_ID" INTEGER , 
		  "COMPANY" VARCHAR(200) , 
		  "TARGET_DAILY_INVENTORY" INTEGER WITH DEFAULT NULL , 
		  "DAILY_INV_LO_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "DAILY_INV_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "TARGET_DAYS_IN_INVENTORY" INTEGER WITH DEFAULT NULL , 
		  "DAYS_IN_INV_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "TARGET_AL_CYCLE_TIME" INTEGER WITH DEFAULT NULL , 
		  "AL_CYCLE_TIME_LO_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "AL_CYCLE_TIME_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "AL_CYCLE_TIME_LO_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "AL_CYCLE_TIME_HI_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "TARGET_BP_CYCLE_TIME" INTEGER WITH DEFAULT NULL , 
		  "BP_CYCLE_TIME_LO_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "BP_CYCLE_TIME_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "BP_CYCLE_TIME_LO_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "BP_CYCLE_TIME_HI_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "TARGET_DWELL_TIME" INTEGER WITH DEFAULT NULL , 
		  "DWELL_TIME_LO_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "DWELL_TIME_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "DWELL_TIME_LO_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "DWELL_TIME_HI_RATIO" DECIMAL(2,1) WITH DEFAULT NULL )   
		 IN "USERSPACE1" ; 



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."TARGET_BUSINESS_LOCATION"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."TARGET_BUSINESS_LOCATION"  (
		  "LOCATION_ID" INTEGER , 
		  "COMPANY" VARCHAR(200) , 
		  "NAME" VARCHAR(100) , 
		  "TARGET_DAILY_INVENTORY" INTEGER WITH DEFAULT NULL , 
		  "DAILY_INV_LO_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "DAILY_INV_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "TARGET_DAYS_IN_INVENTORY" INTEGER WITH DEFAULT NULL , 
		  "DAYS_IN_INV_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "TARGET_AL_CYCLE_TIME" INTEGER WITH DEFAULT NULL , 
		  "AL_CYCLE_TIME_LO_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "AL_CYCLE_TIME_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "AL_CYCLE_TIME_LO_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "AL_CYCLE_TIME_HI_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "TARGET_BP_CYCLE_TIME" INTEGER WITH DEFAULT NULL , 
		  "BP_CYCLE_TIME_LO_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "BP_CYCLE_TIME_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "BP_CYCLE_TIME_LO_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "BP_CYCLE_TIME_HI_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "TARGET_DWELL_TIME" INTEGER WITH DEFAULT NULL , 
		  "DWELL_TIME_LO_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "DWELL_TIME_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "DWELL_TIME_LO_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "DWELL_TIME_HI_RATIO" DECIMAL(2,1) WITH DEFAULT NULL )   
		 IN "USERSPACE1" ; 



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."TARGET_BUS_LOCATION_PROD"
------------------------------------------------


CREATE TABLE "RCMSCHEMA"."TARGET_BUS_LOCATION_PROD"  (
		  "LOCATION_ID" INTEGER , 
		  "NAME" VARCHAR(100) , 
		  "PRODUCT_ID" INTEGER , 
		  "ASSET_NAME" VARCHAR(100) , 
		  "TARGET_DAILY_INVENTORY" INTEGER WITH DEFAULT NULL , 
		  "DAILY_INV_LO_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "DAILY_INV_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "TARGET_DAYS_IN_INVENTORY" INTEGER WITH DEFAULT NULL , 
		  "DAYS_IN_INV_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "TARGET_AL_CYCLE_TIME" INTEGER WITH DEFAULT NULL , 
		  "AL_CYCLE_TIME_LO_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "AL_CYCLE_TIME_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "AL_CYCLE_TIME_LO_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "AL_CYCLE_TIME_HI_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "TARGET_BP_CYCLE_TIME" INTEGER WITH DEFAULT NULL , 
		  "BP_CYCLE_TIME_LO_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "BP_CYCLE_TIME_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "BP_CYCLE_TIME_LO_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "BP_CYCLE_TIME_HI_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "TARGET_DWELL_TIME" INTEGER WITH DEFAULT NULL , 
		  "DWELL_TIME_LO_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "DWELL_TIME_HI_THRES_PERC" INTEGER WITH DEFAULT NULL , 
		  "DWELL_TIME_LO_RATIO" DECIMAL(2,1) WITH DEFAULT NULL , 
		  "DWELL_TIME_HI_RATIO" DECIMAL(2,1) WITH DEFAULT NULL )   
		 IN "USERSPACE1" ; 



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."DATE_DIM"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."DATE_DIM"  (
		  "DATE_ID" DATE , 
		  "YEAR_NBR" INTEGER , 
		  "QTR_NBR" INTEGER , 
		  "QTR_NAME" VARCHAR(15) , 
		  "MONTH_NBR" INTEGER , 
		  "MONTH_NAME" VARCHAR(13) , 
		  "DAY_NBR" INTEGER , 
		  "WEEK_DAY_NBR" INTEGER , 
		  "DAY_NAME" VARCHAR(5) , 
		  "BUSINESS_DAY" INTEGER )   
		 IN "USERSPACE1" ; 


CREATE INDEX "RCMSCHEMA"."IDX_DATE_DIM_01" ON "RCMSCHEMA"."DATE_DIM"
	("DATE_ID");

CREATE INDEX "RCMSCHEMA"."IDX_DATE_DIM_02" ON "RCMSCHEMA"."DATE_DIM"
	("YEAR_NBR", "MONTH_NBR", "DAY_NBR");


------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."RCM_VOCAB_CONFIG"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."RCM_VOCAB_CONFIG"  (
		  "RCM_KEYWORD" VARCHAR(25) , 
		  "VOCABULARY" VARCHAR(255) , 
		  "ALIAS" VARCHAR(255) )   
		 IN "USERSPACE1" ; 

INSERT INTO "RCMSCHEMA"."RCM_VOCAB_CONFIG"
(
RCM_KEYWORD,
VOCABULARY,	
ALIAS
)

VALUES
('COMMISSION','urn:epcglobal:cbv:bizstep:commissioning','Commissioning'),
('SHIP','urn:epcglobal:cbv:bizstep:shipping','Shipping'),
('RECEIVE','urn:epcglobal:cbv:bizstep:receiving','Receiving'),
('DECOMMISSION','urn:epcglobal:cbv:bizstep:decommissioning','Decommissioning'),
('ACTIVE','urn:epcglobal:cbv:disp:active','Active'),
('INACTIVE','urn:epcglobal:cbv:disp:inactive','Inactive'),
('IN_TRANSIT','urn:epcglobal:cbv:disp:in_transit','In Transit'),
('IN_PROGRESS','urn:epcglobal:cbv:disp:in_progress','In Progress'),
('BIZLOC','urn:epcglobal:epcis:vtype:BusinessLocation','Business Location');


------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."CURRENT_DATE_BY_LOC"
------------------------------------------------


CREATE TABLE "RCMSCHEMA"."CURRENT_DATE_BY_LOC" (
		  "TZ_NAME" VARCHAR(10) ,
		  "TZ_OFFSET" INTEGER ,
		  "CURR_TIMESTAMP" TIMESTAMP ,
		  "CURR_DATE" DATE )  
		 IN "USERSPACE1" ;

insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC-11'   , -1100);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC-10'   , -1000);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC-9'    ,  -900);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC-8'    ,  -800);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC-7'    ,  -700);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC-6'    ,  -600);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC-5'    ,  -500);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC-4'    ,  -400);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC-3'    ,  -300);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC-2'    ,  -200);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC-1'    ,  -100);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC'      ,     0);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+1'    ,   100);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+2'    ,   200);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+3'    ,   300);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+4'    ,   400);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+5'    ,   500);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+5:30' ,   530);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+5:45' ,   545);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+6'    ,   600);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+6:30' ,   630);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+7'    ,   700);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+8'    ,   800);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+9'    ,   900);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+9:30' ,   930);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+10'   ,  1000);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+11'   ,  1100);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+12'   ,  1200);
insert into rcmschema.current_date_by_loc (TZ_NAME, TZ_OFFSET) values ('UTC+13'   ,  1300);



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."LOCATION"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."LOCATION"  (
		  "INTERNAL_ID" INTEGER NOT NULL , 
		  "EXTERNAL_ID" VARCHAR(100) , 
		  "VOCABULARY" VARCHAR(255) NOT NULL , 
		  "NAME" VARCHAR(100) , 
		  "COMPANY" VARCHAR(200) , 
		  "GLN" VARCHAR(20) , 
		  "SSLT" INTEGER , 
		  "SSLTA" INTEGER , 
		  "SSLTAE" VARCHAR(100) , 
		  "STREET1" VARCHAR(60) , 
		  "STREET2" VARCHAR(60) , 
		  "CITY" VARCHAR(60) , 
		  "STATEORREGION" VARCHAR(3) , 
		  "POSTALCODE" VARCHAR(10) , 
		  "COUNTRY" VARCHAR(100) , 
		  "BUSINESSTYPE" VARCHAR(32) , 
		  "LOCATIONTYPE" VARCHAR(32) , 
		  "TIMEZONEOFFSET" INTEGER , 
		  "STORAGE_LOC" INTEGER NOT NULL , 
		  "SUPPLIER_LOC" INTEGER NOT NULL , 
		  "OWNER_LOC" INTEGER NOT NULL )   
		 IN "USERSPACE1" ; 


------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."TNT_SI_EVENTS"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."TNT_SI_EVENTS"  (
		  "INSTANCE_ID" INTEGER NOT NULL , 
		  "SI" INTEGER NOT NULL , 
		  "SERIAL_ID" VARCHAR(100) NOT NULL , 
		  "TYPE_ID" INTEGER NOT NULL , 
		  "SIID_STATE" INTEGER , 
		  "SIID_STATE_NAME" VARCHAR(255) , 
		  "START_DATE" TIMESTAMP , 
		  "END_DATE" TIMESTAMP , 
		  "OBJECT_CLASS_TYPE" INTEGER , 
		  "OBJECT_REFERENCE" INTEGER , 
		  "ASSET_TYPE" VARCHAR(100) , 
		  "COMMISSION_DATE" TIMESTAMP , 
		  "COMMISSION_EVENT_ID" INTEGER , 
		  "DECOMMISSION_DATE" TIMESTAMP , 
		  "DECOMMISSION_EVENT_ID" INTEGER , 
		  "TOTAL_CYCLE_COUNT" INTEGER , 
		  "INITIAL_QUANTITY" DOUBLE , 
		  "LOT_ID" INTEGER , 
		  "PACKAGE_TYPE" INTEGER , 
		  "SI_HISTORY_ID" INTEGER NOT NULL , 
		  "READ_POINT" INTEGER , 
		  "READ_POINT_NAME" VARCHAR(100) , 
		  "BIZ_LOCATION" INTEGER , 
		  "BIZ_LOCATION_NAME" VARCHAR(100) , 
		  "EVENT_ID" INTEGER NOT NULL , 
		  "EVENT_TIME" TIMESTAMP NOT NULL , 
		  "BIZ_OWNER" INTEGER , 
		  "BIZ_OWNER_NAME" VARCHAR(100) , 
		  "BIZ_STEP" INTEGER , 
		  "BIZ_STEP_NAME" VARCHAR(255) , 
		  "DISPOSITION" INTEGER , 
		  "DISPOSITION_NAME" VARCHAR(255) , 
		  "SENDER_SITE_ADDRESS" INTEGER , 
		  "SENDER_ID" INTEGER , 
		  "RECIPIENT_SITE_ADDRESS" INTEGER , 
		  "RECIPIENT_ID" INTEGER , 
		  "TIME_ZONE_OFFSET" INTEGER , 
		  "RECORD_TIME" TIMESTAMP , 
		  "CYCLE_INDICATOR" INTEGER , 
		  "PRIMARY_BT_ID" INTEGER , 
		  "EVENT_TYPE" INTEGER NOT NULL , 
		  "NEXT_EVENT_TIME" TIMESTAMP , 
		  "EXPIRATION_DATE" TIMESTAMP , 
		  "PEDIGREE_INFO_ID" INTEGER , 
		  "SENDER_SITE_ADDR_NAME" VARCHAR(100) , 
		  "SENDER_NAME" VARCHAR(100) , 
		  "RECIPIENT_SITE_ADDR_NAME" VARCHAR(100) , 
		  "RECIPIENT_NAME" VARCHAR(100) )   
		 IN "USERSPACE1" ; 


CREATE INDEX "RCMSCHEMA"."IDX_TNT_SI_01" ON "RCMSCHEMA"."TNT_SI_EVENTS" 
		("SERIAL_ID" ASC)
		ALLOW REVERSE SCANS;

CREATE INDEX "RCMSCHEMA"."IDX_TNT_SI_02" ON "RCMSCHEMA"."TNT_SI_EVENTS" 
		("BIZ_LOCATION" ASC)
		ALLOW REVERSE SCANS;


CREATE INDEX "RCMSCHEMA"."IDX_TNT_SI_03" ON "RCMSCHEMA"."TNT_SI_EVENTS" 
		("EVENT_TIME" DESC)
		ALLOW REVERSE SCANS;



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."VOCABULARY_ELEMENT"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."VOCABULARY_ELEMENT"  (
		  "INTERNAL_ID" INTEGER NOT NULL , 
		  "NAME" VARCHAR(255) NOT NULL , 
		  "VOCABULARY_ID" INTEGER NOT NULL , 
		  "VOCABULARY" VARCHAR(255) NOT NULL , 
		  "ENTITY" VARCHAR(100) )   
		 IN "USERSPACE1" ; 



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."RCM_DECOM_ASSET"
------------------------------------------------


CREATE TABLE "RCMSCHEMA"."RCM_DECOM_ASSET"  (
		  "EPC" VARCHAR(100) , 
		  "ROW_NO1" INTEGER,
		  "DECOM_TIME" TIMESTAMP )   
		 IN "USERSPACE1" ; 


------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."DATE_TEMP"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."DATE_TEMP"  (
		  "DayId" DATE , 
		  "DayCaption" VARCHAR(6) , 
		  "MonthId" INTEGER , 
		  "MonthCaption" VARCHAR(13) , 
		  "QuarterId" SMALLINT , 
		  "QuarterCaption" VARCHAR(15) , 
		  "YearId" SMALLINT , 
		  "YearCaption" VARCHAR(20) )   
		 IN "USERSPACE1" ; 



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."PRODUCT"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."PRODUCT"  (
		  "INTERNAL_ID" INTEGER NOT NULL , 
		  "EXTERNAL_ID" VARCHAR(100) , 
		  "VOCABULARY" VARCHAR(255) NOT NULL , 
		  "ASSETTYPENAME" VARCHAR(100) , 
		  "DESCRIPTION" VARCHAR(256) )   
		 IN "USERSPACE1" ; 



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."EVENTEPC"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."EVENTEPC"  (
		  "EVENT_ID" BIGINT NOT NULL , 
		  "DATE_ID" DATE , 
		  "BIZLOC_UTC_TIME" TIMESTAMP , 
		  "BIZLOC_UTC_DATE" DATE , 
		  "BIZLOC_TIME_OFFSET" INTEGER , 
		  "BIZLOC_LOCAL_TIME" TIMESTAMP , 
		  "BIZLOC_LOCAL_DATE" DATE , 
		  "INVENTORY_TIME_OFFSET" INTEGER , 
		  "INVENTORY_LOCAL_TIME" TIMESTAMP , 
		  "INVENTORY_LOCAL_DATE" DATE , 
		  "RECORDTIME" TIMESTAMP , 
		  "PRODUCT_ID" INTEGER , 
		  "ASSET_NAME" VARCHAR(100) , 
		  "EPC" VARCHAR(100) , 
		  "ACTION_ID" INTEGER , 
		  "ACTION" VARCHAR(255) , 
		  "BIZSTEP_ID" INTEGER , 
		  "BIZSTEP" VARCHAR(255) , 
		  "DISPOSITION_ID" INTEGER , 
		  "DISPOSITION" VARCHAR(255) , 
		  "READ_POINT_ID" INTEGER , 
		  "READ_POINT" VARCHAR(100) , 
		  "BIZ_LOCATION_ID" INTEGER , 
		  "BIZ_LOCATION" VARCHAR(100) , 
		  "INVENTORY_LOCATION_ID" INTEGER , 
		  "INVENTORY_LOCATION" VARCHAR(100) , 
		  "SHIP_FROM_BUS_LOCATION_CODE_ID" INTEGER , 
		  "SHIP_FROM_BUS_LOCATION_CODE" VARCHAR(100) , 
		  "SHIP_TO_BUS_LOCATION_CODE_ID" INTEGER , 
		  "SHIP_TO_BUS_LOCATION_CODE" VARCHAR(100),
		  "ROW_NO1" BIGINT )   
		 IN "USERSPACE1" ; 



CREATE INDEX "RCMSCHEMA"."IDX_EVENTEPC_01" ON "RCMSCHEMA"."EVENTEPC"
		("EPC" ASC)
		ALLOW REVERSE SCANS;


CREATE INDEX "RCMSCHEMA"."IDX_EVENTEPC_02" ON "RCMSCHEMA"."EVENTEPC"
		("BIZLOC_LOCAL_DATE" DESC)
		ALLOW REVERSE SCANS;


CREATE INDEX "RCMSCHEMA"."IDX_EVENTEPC_03" ON "RCMSCHEMA"."EVENTEPC"
		("BIZ_LOCATION_ID" ASC)
		ALLOW REVERSE SCANS;


CREATE INDEX "RCMSCHEMA"."IDX_EVENTEPC_04" ON "RCMSCHEMA"."EVENTEPC"
		("BIZSTEP_ID" ASC)
		ALLOW REVERSE SCANS;


CREATE INDEX "RCMSCHEMA"."IDX_EVENTEPC_05" ON "RCMSCHEMA"."EVENTEPC"
		("RECORDTIME" DESC)
		ALLOW REVERSE SCANS;



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."CURRENT_EVENT_EPC"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."CURRENT_EVENT_EPC"  (
		  "ASSET_NAME" VARCHAR(100) , 
		  "PRODUCT_ID" INTEGER , 
		  "EPC" VARCHAR(100) , 
		  "BIZLOC_UTC_TIME" TIMESTAMP , 
		  "BIZLOC_UTC_DATE" DATE , 
		  "BIZLOC_TIME_OFFSET" INTEGER , 
		  "BIZLOC_LOCAL_TIME" TIMESTAMP , 
		  "BIZLOC_LOCAL_DATE" DATE , 
		  "INVENTORY_TIME_OFFSET" INTEGER , 
		  "INVENTORY_LOCAL_TIME" TIMESTAMP , 
		  "INVENTORY_LOCAL_DATE" DATE , 
		  "INVENTORY_LOCATION_ID" INTEGER , 
		  "DISPOSITION" VARCHAR(255))
		 IN "USERSPACE1" ; 



CREATE INDEX "RCMSCHEMA"."IDX_CURREVENTEPC_01" ON "RCMSCHEMA"."CURRENT_EVENT_EPC"
		("ASSET_NAME" ASC)
		ALLOW REVERSE SCANS;


CREATE INDEX "RCMSCHEMA"."IDX_CURREVENTEPC_02" ON "RCMSCHEMA"."CURRENT_EVENT_EPC"
		("INVENTORY_LOCATION_ID" ASC)
		ALLOW REVERSE SCANS;



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."RCM_ETL_STAGING_1"
------------------------------------------------


CREATE TABLE "RCMSCHEMA"."RCM_ETL_STAGING_1"  (
		   "EVENTEPC_ROW_NO1" BIGINT , 
		   "PRODUCT_ID" INTEGER , 
		   "EPC" VARCHAR(100) , 
		   "BIZSTEP" VARCHAR(25) , 
		   "BIZLOC_UTC_TIME" TIMESTAMP , 
		   "BIZLOC_UTC_DATE" DATE , 
		   "BIZLOC_LOCAL_TIME" TIMESTAMP ,
		   "BIZLOC_LOCAL_DATE" DATE ,
		   "INVENTORY_TIME_OFFSET" INTEGER , 
		   "INVENTORY_LOCAL_TIME" TIMESTAMP , 
		   "INVENTORY_LOCAL_DATE" DATE , 
		   "INVENTORY_LOCATION_ID" INTEGER , 
		   "BIZ_LOCATION_ID" INTEGER, 
		   "RW1" BIGINT )   
		  IN "USERSPACE1" ; 



CREATE INDEX "RCMSCHEMA"."IDX_ETLSTAGING1_01" ON "RCMSCHEMA"."RCM_ETL_STAGING_1"
		("EPC" ASC)
		ALLOW REVERSE SCANS;


CREATE INDEX "RCMSCHEMA"."IDX_ETLSTAGING1_02" ON "RCMSCHEMA"."RCM_ETL_STAGING_1"
		("BIZSTEP" ASC)
		ALLOW REVERSE SCANS;


CREATE INDEX "RCMSCHEMA"."IDX_ETLSTAGING1_03" ON "RCMSCHEMA"."RCM_ETL_STAGING_1"
		("BIZLOC_UTC_TIME" DESC)
		ALLOW REVERSE SCANS;


CREATE INDEX "RCMSCHEMA"."IDX_ETLSTAGING1_04" ON "RCMSCHEMA"."RCM_ETL_STAGING_1"
		("PRODUCT_ID" ASC)
		ALLOW REVERSE SCANS;


CREATE INDEX "RCMSCHEMA"."IDX_ETLSTAGING1_05" ON "RCMSCHEMA"."RCM_ETL_STAGING_1"
		("INVENTORY_LOCATION_ID" ASC)
		ALLOW REVERSE SCANS;


CREATE INDEX "RCMSCHEMA"."IDX_ETLSTAGING1_06" ON "RCMSCHEMA"."RCM_ETL_STAGING_1"
		("RW1" ASC)
		ALLOW REVERSE SCANS;



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."RCM_ETL_STAGING"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."RCM_ETL_STAGING"  (
		   "PRODUCT_ID" INTEGER , 
		   "EPC" VARCHAR(100) , 
		   "START_BIZSTEP" VARCHAR(25) , 
		   "START_BIZLOC_UTC_TIME" TIMESTAMP , 
		   "START_BIZLOC_UTC_DATE" DATE , 
		   "START_INVENTORY_TIME_OFFSET" INTEGER , 
		   "START_INVENTORY_LOCAL_TIME" TIMESTAMP , 
		   "START_INVENTORY_LOCAL_DATE" DATE , 
		   "START_BIZ_LOCATION_ID" INTEGER , 
		   "START_BIZ_SUPPLIER_LOC_TYPE" INTEGER , 
		   "START_BIZ_STORAGE_LOC_TYPE" INTEGER , 
		   "START_BIZ_OWNER_LOC_TYPE" INTEGER , 
		   "START_INV_LOCATION_ID" INTEGER , 
		   "START_INV_SUPPLIER_LOC_TYPE" INTEGER , 
		   "START_INV_STORAGE_LOC_TYPE" INTEGER , 
		   "START_INV_OWNER_LOC_TYPE" INTEGER , 
		   "END_BIZSTEP" VARCHAR(25) , 
		   "END_BIZLOC_UTC_TIME" TIMESTAMP , 
		   "END_BIZLOC_UTC_DATE" DATE , 
		   "END_INVENTORY_TIME_OFFSET" INTEGER , 
		   "END_INVENTORY_LOCAL_TIME" TIMESTAMP , 
		   "END_INVENTORY_LOCAL_DATE" DATE , 
		   "END_BIZ_LOCATION_ID" INTEGER , 
		   "END_BIZ_SUPPLIER_LOC_TYPE" INTEGER , 
		   "END_BIZ_STORAGE_LOC_TYPE" INTEGER , 
		   "END_BIZ_OWNER_LOC_TYPE" INTEGER , 
		   "END_INV_LOCATION_ID" INTEGER , 
		   "END_INV_SUPPLIER_LOC_TYPE" INTEGER , 
		   "END_INV_STORAGE_LOC_TYPE" INTEGER , 
		   "END_INV_OWNER_LOC_TYPE" INTEGER , 
		   "RW1" BIGINT , 
		   "CREATE_DATE" TIMESTAMP NOT NULL , 
		   "LAST_UPDATE_DATE" TIMESTAMP NOT NULL )   
		  IN "USERSPACE1" ; 



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."RCM_INVENTORY_SNAPSHOT"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."RCM_INVENTORY_SNAPSHOT"  (
		   "PRODUCT_ID" INTEGER , 
		   "LOCATION_ID" INTEGER , 
		   "DATE_ID" DATE , 
		   "CURRENT_INVENTORY" DOUBLE , 
		   "AGED_INVENTORY" DOUBLE , 
		   "TOTAL_INVENTORY" DOUBLE , 
		   "INVENTORY_ELAPSED_TIME" DOUBLE , 
		   "AGED_INVENTORY_ELAPSED_TIME" DOUBLE , 
		    "ZONE" INTEGER , 
		   "CREATE_DATE" TIMESTAMP NOT NULL , 
		   "LAST_UPDATE_DATE" TIMESTAMP NOT NULL )   
		  IN "USERSPACE1" ; 



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."RCM_AL_CYCLE_TIME_SNAPSHOT"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."RCM_AL_CYCLE_TIME_SNAPSHOT"  (
		   "PRODUCT_ID" INTEGER , 
		   "LOCATION_ID" INTEGER , 
		   "DATE_ID" DATE , 
		   "AVERAGE_AL_CYCLE_TIME" DOUBLE , 
		   "AVG_FAST_MOVING_AL_CYCLE_TIME" DOUBLE , 
		   "AVG_SLOW_MOVING_AL_CYCLE_TIME" DOUBLE , 		    
		   "ZONE" INTEGER , 
		   "CREATE_DATE" TIMESTAMP NOT NULL , 
		   "LAST_UPDATE_DATE" TIMESTAMP NOT NULL )   
		  IN "USERSPACE1" ; 



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."RCM_DWELL_TIME_SNAPSHOT"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."RCM_DWELL_TIME_SNAPSHOT"  (
		   "PRODUCT_ID" INTEGER , 
		   "LOCATION_ID" INTEGER , 
		   "DATE_ID" DATE , 
		   "AVERAGE_DWELL_TIME" DOUBLE , 
		   "AVG_FAST_MOVING_DWELL_TIME" DOUBLE , 
		   "AVG_SLOW_MOVING_DWELL_TIME" DOUBLE , 
		   "ZONE" INTEGER , 
		   "CREATE_DATE" TIMESTAMP NOT NULL , 
		   "LAST_UPDATE_DATE" TIMESTAMP NOT NULL )   
		  IN "USERSPACE1" ; 



------------------------------------------------
-- DDL Statements for table "RCMSCHEMA"."RCM_BP_CYCLE_TIME_SNAPSHOT"
------------------------------------------------
 

CREATE TABLE "RCMSCHEMA"."RCM_BP_CYCLE_TIME_SNAPSHOT"  (
		   "PRODUCT_ID" INTEGER , 
		   "LOCATION_ID" INTEGER , 
		   "DATE_ID" DATE , 
		   "AVERAGE_BP_CYCLE_TIME" DOUBLE , 
		   "AVG_FAST_MOVING_BP_CYCLE_TIME" DOUBLE , 
		   "AVG_SLOW_MOVING_BP_CYCLE_TIME" DOUBLE , 		   
		   "ZONE" INTEGER , 
		   "CREATE_DATE" TIMESTAMP NOT NULL , 
		   "LAST_UPDATE_DATE" TIMESTAMP NOT NULL )   
		  IN "USERSPACE1" ; 



----------------------------
-- DDL Statements for table "RCMSCHEMA"."RCM_METRICS_SNAPSHOT_UTC"
----------------------------


CREATE TABLE RCMSCHEMA.RCM_METRICS_SNAPSHOT_UTC( 
		 "PRODUCT_ID"  INTEGER, 
		 "LOCATION_ID"  INTEGER, 
		 "DATE_ID"  DATE, 
		 "CURRENT_INVENTORY"  DOUBLE, 
		 "AGED_INVENTORY"  DOUBLE, 
		 "TOTAL_INVENTORY" DOUBLE , 
		 "INVENTORY_ELAPSED_TIME"  DOUBLE, 
		 "AGED_INVENTORY_ELAPSED_TIME"  DOUBLE, 
		 "AVERAGE_AL_CYCLE_TIME" DOUBLE,
		 "AVG_FAST_MOVING_AL_CYCLE_TIME"  DOUBLE, 
		 "AVG_SLOW_MOVING_AL_CYCLE_TIME" DOUBLE,
		 "AVERAGE_BP_CYCLE_TIME"  DOUBLE, 
		 "AVG_FAST_MOVING_BP_CYCLE_TIME"  DOUBLE, 
		 "AVG_SLOW_MOVING_BP_CYCLE_TIME" DOUBLE,	
		 "AVERAGE_DWELL_TIME"  DOUBLE , 
		 "AVG_FAST_MOVING_DWELL_TIME"  DOUBLE, 	
		 "AVG_SLOW_MOVING_DWELL_TIME" DOUBLE, 
		 "CREATE_DATE" TIMESTAMP NOT NULL  , 
		 "LAST_UPDATE_DATE" TIMESTAMP NOT NULL )   
		  IN "USERSPACE1" ; 



----------------------------
-- DDL Statements for table "RCMSCHEMA"."RCM_METRICS_SNAPSHOT_LOCAL"
----------------------------


CREATE TABLE RCMSCHEMA.RCM_METRICS_SNAPSHOT_LOCAL( 
		 "PRODUCT_ID"  INTEGER, 
		 "LOCATION_ID"  INTEGER, 
		 "DATE_ID"  DATE, 
		 "CURRENT_INVENTORY"  DOUBLE, 
		 "AGED_INVENTORY"  DOUBLE, 
		 "TOTAL_INVENTORY" DOUBLE , 
		 "INVENTORY_ELAPSED_TIME"  DOUBLE, 
		 "AGED_INVENTORY_ELAPSED_TIME"  DOUBLE, 
		 "AVERAGE_AL_CYCLE_TIME" DOUBLE,
		 "AVG_FAST_MOVING_AL_CYCLE_TIME"  DOUBLE, 
		 "AVG_SLOW_MOVING_AL_CYCLE_TIME" DOUBLE,
		 "AVERAGE_BP_CYCLE_TIME"  DOUBLE, 
		 "AVG_FAST_MOVING_BP_CYCLE_TIME"  DOUBLE, 
		 "AVG_SLOW_MOVING_BP_CYCLE_TIME" DOUBLE,	
		 "AVERAGE_DWELL_TIME"  DOUBLE , 
		 "AVG_FAST_MOVING_DWELL_TIME"  DOUBLE, 	
		 "AVG_SLOW_MOVING_DWELL_TIME" DOUBLE, 
		 "CREATE_DATE" TIMESTAMP NOT NULL  , 
		 "LAST_UPDATE_DATE" TIMESTAMP NOT NULL )   
		  IN "USERSPACE1" ; 
 

