-----------------------------------------------------------------------------
--
-- SCRIPTS FOR SETTING BUSINESS DAYS (WORK WEEK)
-- RCM DATA MART
--
--
-- The RCMSCHEMA.DATE_DIM table contains date dimension data for a date
-- range starting at Jan 1, 2007 and ending Dec 31, 2020
--
-- The default workweek is Monday through Friday.
--
-----------------------------------------------------------------------------


-----------------------------------------------------------------------------
-- This sample script sets a 4-day workweek starting from April 19, 2009
-- The values for week_day_nbr column are
--      1=Sun, 2=Mon, 3=Tue, 4=Wed, 5=Thu, 6=Fri, 7=Sat
-----------------------------------------------------------------------------

update rcmschema.date_dim
   set business_day = (case when week_day_nbr in (2,3,4,5) then 1 else 0 end)
   where date_id >= (select date_id from rcmschema.date_dim
                      where year_nbr  = 2009
                        and month_nbr = 4
                        and day_nbr   = 19)


-----------------------------------------------------------------------------
-- This sample script sets a 4-day workweek starting from April 19, 2009
-- for only 1 week.
-----------------------------------------------------------------------------

update rcmschema.date_dim
   set business_day = (case when week_day_nbr in (2,3,4,5) then 1 else 0 end)
   where date_id >= (select date_id from rcmschema.date_dim
                      where year_nbr  = 2009
                        and month_nbr = 4
                        and day_nbr   = 19)
     and date_id <= (select date_id from rcmschema.date_dim
                      where year_nbr  = 2009
                        and month_nbr = 4
                        and day_nbr = 25)
