@echo off
REM --------------------------------------------------------------------------
REM    IBM InfoSphere Traceability Server Returnable Container Management
REM       ver 2.1.0.0
REM
REM    Licensed Material - Property of IBM 
REM    (C) Copyright IBM Corp. 2009 - All Rights Reserved 
REM
REM    US Government Users Restricted Rights - Use, duplication or disclosure
REM    restricted by GSA ADP Schedule Contract with IBM Corp. 
REM    IBM is a registered trademark of the IBM Corp. 
REM --------------------------------------------------------------------------


REM --------------------------------------------------------------------------
REM - When run from the current directory (manually), the script path will
REM - be the current directory. However, when this script is run by the RCM
REM - ETL process via Data Manager, the RCM script directory path will be
REM - passed in as an argument.
REM - 
REM - This logic accomodates both invocations.
REM --------------------------------------------------------------------------

if [%1]==[] (
  set SCRIPT_PATH=.
) else (
  set SCRIPT_PATH=%1
)


REM --------------------------------------------------------------------------
REM - Load the RCM script environment settings
REM --------------------------------------------------------------------------

@CALL %SCRIPT_PATH%\rcm_script_env.bat


REM --------------------------------------------------------------------------
REM - Transformer must be run from the Cognos bin directory
REM --------------------------------------------------------------------------

cd %TRANSFORMER_INSTALL_PATH%\bin



REM --------------------------------------------------------------------------
REM - Rebuild the cube RCM Cube Local
REM -
REM - This also re-creates a subdirectory under DeployedCubes which is used
REM - by pcactivate.
REM --------------------------------------------------------------------------

@echo on
%TRANSFORMER_INSTALL_PATH%\bin\cogtr.exe -dModelSaveDirectory=%DIR_INSTALL_MODELS% -dCubeSaveDirectory=%DIR_DEPLOY_CUBES%\DeployedCubes\%RCM_CUBE_LOCAL% -dLogFileDirectory=%DIR_INSTALL_LOGS% -n1 -c -m"%RCM_CUBE_LOCAL_DEPLOY%.mdl"
@echo off



REM --------------------------------------------------------------------------
REM - Rebuild the cube RCM Cube UTC
REM -
REM - This also re-creates a subdirectory under DeployedCubes which is used
REM - by pcactivate.
REM --------------------------------------------------------------------------

@echo on
%TRANSFORMER_INSTALL_PATH%\bin\cogtr.exe -dModelSaveDirectory=%DIR_INSTALL_MODELS% -dCubeSaveDirectory=%DIR_DEPLOY_CUBES%\DeployedCubes\%RCM_CUBE_UTC% -dLogFileDirectory=%DIR_INSTALL_LOGS% -n1 -c -m"%RCM_CUBE_UTC_DEPLOY%.mdl"
@echo off



REM --------------------------------------------------------------------------
REM - Move the newly built cubes into the appropriate subdirectory in
REM - preparation for the call to pcactivate.
REM --------------------------------------------------------------------------

cd %DIR_DEPLOY_CUBES%
copy %RCM_CUBE_LOCAL%.mdc DeployedCubes\%RCM_CUBE_LOCAL%
copy %RCM_CUBE_UTC%.mdc DeployedCubes\%RCM_CUBE_UTC%
del *.mdc

