@echo off
REM --------------------------------------------------------------------------
REM    IBM InfoSphere Traceability Server Returnable Container Management
REM       ver 2.1.0.0
REM
REM    Licensed Material - Property of IBM 
REM    (C) Copyright IBM Corp. 2009 - All Rights Reserved 
REM
REM    US Government Users Restricted Rights - Use, duplication or disclosure
REM    restricted by GSA ADP Schedule Contract with IBM Corp. 
REM    IBM is a registered trademark of the IBM Corp. 
REM --------------------------------------------------------------------------


REM --------------------------------------------------------------------------
REM -
REM - This script is used to set the appropriate RCM and Cognos install
REM - paths, the database signon definition, and the RCM cube deployment
REM - directories.
REM -
REM - These variables are used by the RCM scripts.
REM -
REM --------------------------------------------------------------------------


REM --------------------------------------------------------------------------
REM -
REM - TRANSFORMER_INSTALL_PATH = The root path where Cognos Transformer is
REM -                       installed. Change this path according to your
REM -                       installation. The path should be one level up
REM -                       from the Transformer/bin directory.
REM -
REM --------------------------------------------------------------------------

set TRANSFORMER_INSTALL_PATH="C:\Program Files\IBM\cognos\c10"


REM --------------------------------------------------------------------------
REM -
REM - RCM_INSTALL_PATH = The root path where RCM is installed. Change this
REM -                    path according to your installation.
REM -
REM --------------------------------------------------------------------------

set RCM_INSTALL_PATH=C:\RCM


REM --------------------------------------------------------------------------
REM -
REM - DIR_DEPLOY_CUBES = The location where the user would like the RCM
REM -                    cubes to be located. The Cognos PowerCube Data
REM -                    Source entries for RCM Reporting will point to
REM -                    this location.
REM -
REM -              NOTE:
REM -                    This directory must already exist. The user that
REM -                    installs RCM must have permissions to create
REM -                    subdirectories within this directory.
REM -
REM --------------------------------------------------------------------------

set DIR_DEPLOY_CUBES=%RCM_INSTALL_PATH%\published_cubes


REM --------------------------------------------------------------------------
REM -
REM - These are default RCM install directories. These values do not need
REM - to be changed.
REM -
REM --------------------------------------------------------------------------

set DIR_INSTALL_SCRIPTS=%RCM_INSTALL_PATH%\scripts\win
set DIR_INSTALL_CUBES=%RCM_INSTALL_PATH%\cubes\samples
set DIR_INSTALL_MODELS=%RCM_INSTALL_PATH%\cubes\models
set DIR_INSTALL_LOGS=%RCM_INSTALL_PATH%


REM --------------------------------------------------------------------------
REM -
REM - These are the names of the installed RCM report model files that are
REM - used to build the RCM cubes. These names are also used in the
REM - following files:
REM -
REM -      rcm_modify_local_model.mdl
REM -      rcm_modify_utc_model.mdl
REM -
REM - NOTE:
REM -        These entries should not be changed. The values specified here
REM -        are used in the RCM scripts to reference filenames and directory
REM -        names.
REM --------------------------------------------------------------------------

set SCRIPT_MODIFY_LOCAL=rcm_modify_local_model.mdl
set SCRIPT_MODIFY_UTC=rcm_modify_utc_model.mdl
set RCM_CUBE_LOCAL=RCM-Cube-Local
set RCM_CUBE_UTC=RCM-Cube-UTC
set RCM_CUBE_LOCAL_DEPLOY=RCM-Cube-Local-Deploy
set RCM_CUBE_UTC_DEPLOY=RCM-Cube-UTC-Deploy

