@echo off
REM --------------------------------------------------------------------------
REM    IBM InfoSphere Traceability Server Returnable Container Management
REM       ver 2.1.0.0
REM
REM    Licensed Material - Property of IBM 
REM    (C) Copyright IBM Corp. 2009 - All Rights Reserved 
REM
REM    US Government Users Restricted Rights - Use, duplication or disclosure
REM    restricted by GSA ADP Schedule Contract with IBM Corp. 
REM    IBM is a registered trademark of the IBM Corp. 
REM --------------------------------------------------------------------------



REM --------------------------------------------------------------------------
REM - Load the RCM script environment settings
REM --------------------------------------------------------------------------

@CALL rcm_script_env.bat


REM --------------------------------------------------------------------------
REM - Create needed directories for nightly cube updates
REM --------------------------------------------------------------------------

cd %DIR_DEPLOY_CUBES%
if not %errorlevel%==0 goto :error

mkdir DeployedCubes
if not %errorlevel%==0 goto :error

mkdir DeployedCubes\%RCM_CUBE_LOCAL%
if not %errorlevel%==0 goto :error

mkdir DeployedCubes\%RCM_CUBE_UTC%
if not %errorlevel%==0 goto :error


REM --------------------------------------------------------------------------
REM - Copy the installed RCM cubes to the customer deployment directory
REM --------------------------------------------------------------------------

copy %DIR_INSTALL_CUBES%\%RCM_CUBE_LOCAL%.mdc %DIR_DEPLOY_CUBES%\DeployedCubes\%RCM_CUBE_LOCAL%
if not %errorlevel%==0 goto :error

copy %DIR_INSTALL_CUBES%\%RCM_CUBE_UTC%.mdc %DIR_DEPLOY_CUBES%\DeployedCubes\%RCM_CUBE_UTC%
if not %errorlevel%==0 goto :error

goto :end

:error
echo ERROR ENCOUNTERED
exit /B -1

:end