@echo off
REM --------------------------------------------------------------------------
REM    IBM InfoSphere Traceability Server Returnable Container Management
REM       ver 2.1.0.0
REM
REM    Licensed Material - Property of IBM 
REM    (C) Copyright IBM Corp. 2009 - All Rights Reserved 
REM
REM    US Government Users Restricted Rights - Use, duplication or disclosure
REM    restricted by GSA ADP Schedule Contract with IBM Corp. 
REM    IBM is a registered trademark of the IBM Corp. 
REM --------------------------------------------------------------------------



REM --------------------------------------------------------------------------
REM - Load the RCM script environment settings
REM --------------------------------------------------------------------------

@CALL rcm_script_env.bat



REM --------------------------------------------------------------------------
REM - Transformer must be run from the Cognos bin directory
REM --------------------------------------------------------------------------

cd %TRANSFORMER_INSTALL_PATH%\bin
if not %errorlevel%==0 goto :error



REM --------------------------------------------------------------------------
REM - RCM Cube Local
REM -
REM - Update the installed model file with a signon userid and password.
REM - Also, updates the model to set the customers deployment directory
REM - for the Cube (mdc file).
REM --------------------------------------------------------------------------

@echo on
%TRANSFORMER_INSTALL_PATH%\bin\cogtr.exe -dDataSourceDirectory=%DIR_INSTALL_MODELS% -dModelSaveDirectory=%DIR_INSTALL_MODELS% -dCubeSaveDirectory=%DIR_DEPLOY_CUBES%\DeployedCubes\%RCM_CUBE_LOCAL% -dLogFileDirectory=%DIR_INSTALL_LOGS% -n1 -m"%DIR_INSTALL_SCRIPTS%\%SCRIPT_MODIFY_LOCAL%"
@echo off
if not %errorlevel%==0 goto :error


REM --------------------------------------------------------------------------
REM - RCM Cube UTC
REM -
REM - Update the installed model file with a signon userid and password.
REM - Also, updates the model to set the customers deployment directory
REM - for the Cube (mdc file).
REM --------------------------------------------------------------------------

@echo on
%TRANSFORMER_INSTALL_PATH%\bin\cogtr.exe -dDataSourceDirectory=%DIR_INSTALL_MODELS% -dModelSaveDirectory=%DIR_INSTALL_MODELS% -dCubeSaveDirectory=%DIR_DEPLOY_CUBES%\DeployedCubes\%RCM_CUBE_UTC% -dLogFileDirectory=%DIR_INSTALL_LOGS% -n1 -m"%DIR_INSTALL_SCRIPTS%\%SCRIPT_MODIFY_UTC%"
@echo off
if not %errorlevel%==0 goto :error



REM --------------------------------------------------------------------------
REM - Move the newly built cubes into the appropriate subdirectory in
REM - preparation for the call to pcactivate.
REM --------------------------------------------------------------------------

cd %DIR_DEPLOY_CUBES%
if not %errorlevel%==0 goto :error

copy %RCM_CUBE_LOCAL%.mdc DeployedCubes\%RCM_CUBE_LOCAL%
if not %errorlevel%==0 goto :error

copy %RCM_CUBE_UTC%.mdc DeployedCubes\%RCM_CUBE_UTC%
if not %errorlevel%==0 goto :error

del *.mdc

goto :end

:error
echo ERROR ENCOUNTERED
exit /B -1

:end
