#!/bin/ksh
#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2009, 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
SCRIPT_DIR=`dirname $0`
if [ -n "$RFIDIC_HOME" -a -d $RFIDIC_HOME"/bin" ];then
	. ${RFIDIC_HOME}/bin/tsEnv.sh
    . ${RFIDIC_HOME}/bin/utils.sh
else
	. ${SCRIPT_DIR}/tsEnv.sh
    . ${SCRIPT_DIR}/utils.sh
fi

usage(){
	echo "getTSStatus.sh [-was_admin_user=<value>] [-was_admin_password=<value>] [-dba_password=<value>]"
}

for item in $*
do
	if [ `expr match "$item" '-was_admin_user'` != 0 ];then
      		was_admin_user=`$ECHO $item | $AWK_EQUAL '{print($2)}'`
	elif [ `expr match "$item" '-was_admin_password'` != 0 ];then
      		was_admin_password=`$ECHO $item | $AWK_EQUAL '{print($2)}'`
    elif [ `expr match "$item" '-dba_password'` != 0 ];then
            DBMS_ADMIN_PASSWORD=`$ECHO $item | $AWK_EQUAL '{print($2)}'`
	else
		usage			
		exit 1
	fi
done
echo " "
RESULT=0
echo "*********************** Checking MQ Status *********************"

if [ -f $WAS_HOME/installedConnectors/wmq.jmsra.rar/com.ibm.mq.jar -a -f $WAS_HOME/installedConnectors/wmq.jmsra.rar/com.ibm.mq.pcf.jar -a -f $WAS_HOME/installedConnectors/wmq.jmsra.rar/com.ibm.mq.jmqi.jar ];then
	cp=$CLASSPATH:$WAS_HOME/installedConnectors/wmq.jmsra.rar/com.ibm.mq.jar:$WAS_HOME/installedConnectors/wmq.jmsra.rar/com.ibm.mq.pcf.jar:$WAS_HOME/installedConnectors/wmq.jmsra.rar/com.ibm.mq.jmqi.jar
elif [ -d $MQ_HOME -a -f $MQ_HOME/java/lib/com.ibm.mq.jar -a -f $MQ_HOME/java/lib/com.ibm.mq.pcf.jar -a -f $MQ_HOME/java/lib/com.ibm.mq.jmqi.jar ];then
	cp=$CLASSPATH:$MQ_HOME/java/lib/com.ibm.mq.jar:$MQ_HOME/java/lib/com.ibm.mq.pcf.jar:$MQ_HOME/java/lib/com.ibm.mq.jmqi.jar
fi

if [ -n "$cp" ];then
	MQ_TS_CHANNEL=SYSTEM.DEF.SVRCONN
	${WAS_HOME}/java/bin/java -classpath $cp com.ibm.rfidic.utils.mq.CheckMQStatus $MQ_HOST $MQ_LSR_PORT $MQ_TS_CHANNEL $QUEUE_MANAGER
	if [ $? -ne 0 ];then
		echo "*********************** MQ Status is : NOT RUNNING ***********************"
		RESULT=1
	else
		echo "*********************** MQ Status is : RUNNING ***********************"
	fi
	echo " "

	R_MQ_TS_CHANNEL=SYSTEM.DEF.SVRCONN
	if [ -n R_QUEUE_MANAGER -a ! $MQ_HOST = $R_MQ_HOST ];then
		${WAS_HOME}/java/bin/java -classpath $cp com.ibm.rfidic.utils.mq.CheckMQStatus $R_MQ_HOST $R_MQ_LSR_PORT $R_MQ_TS_CHANNEL $R_QUEUE_MANAGER
		if [ $? -ne 0 ];then
			echo "******************* Remote MQ Status is : NOT RUNNING *******************"
			RESULT=1
		else
			echo "******************* Remote MQ Status is : RUNNING ********************"
		fi
		echo " "
	fi
else
	getMessage TSIN01322E
	echo $msg
	#echo "Error occured while querying MQ instance due to missing MQ connector files"
fi

echo "*********************** Checking DB Status *********************"
getDBVersion
DBVersion=$returnString
if [ "$DBVersion" != "" ]
then
	echo "$DB_TYPE - $DBVersion"
	echo "************* DB Status is : RUNNING  **************************"
else
	echo "*********************** DB Staus is : NOT RUNNING ***********************"
	RESULT=1
fi
echo " "
echo "*********************** Checking WAS Status *********************"
if [ -n "$was_admin_user" -a -n "$was_admin_password" ];then
  credentials="-username $was_admin_user -password $was_admin_password"
fi
wasStatus=`$WAS_HOME/bin/serverStatus.sh -all $credentials`
if [ $? -ne 0 ];then
	echo "*********************** WAS is : NOT RUNNING ***********************"
	RESULT=1
else
	echo "$wasStatus"
	echo "*********************** WAS Status is : RUNNING ***********************"
fi
exit $RESULT